Subject: Re: [PATCH 1/2] Document the master@{n} reflog query syntax.

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 18 Jan 2007 10:48:45 -0500

Andreas Ericsson <[email-masked]> wrote:
> Shawn O. Pearce wrote:
> >Jim Treadway <[email-masked]> wrote:
> >>On Wed, 17 Jan 2007, Shawn O. Pearce wrote:
> >>>-  of the ref at a prior point in time.  This suffix may only be
> >>>+  of the ref at a prior point in time.This suffix may only be
> >>I'm guessing that the above was unintentional?
> >
> >Yes.  Danngit.  Junio, can you hand edit that patch?
> >
> 
> I'm starting to see --amend as an extremely useful thing to have, and 
> I'm sure Junio thinks the same. For fixes this small, it sure is easier 
> to just --amend the commit than to ask for a new patch to apply.

I still shouldn't have let that change sneak into the diff.  I know
how it happened, I wanted to copy part of that line so I wiggled
it around in vi, copied it, then hit undo.  I didn't undo back far
enough.  Then I didn't read the diff closely enough before sending.

> Out of curiousity, how many other SCM's allow you to --amend a commit?

None that I know of.

-- 
Shawn.